package org.deephacks.tools4j.config.test.cdi;

import org.deephacks.tools4j.config.Config;
import org.deephacks.tools4j.config.ConfigScope;

@Config(name = "CdiSingletonConfig", desc = "A cdi enabled get configuration")
@ConfigScope
public class CdiSingletonConfig {

    @Config(desc = "value")
    private String value = "value";

    public CdiSingletonConfig() {

    }

    public CdiSingletonConfig(String value) {
        this.value = value;
    }

    public String getValue() {
        return value;
    }
}
